Mailinglist Archive: opensuse-factory (454 mails)

< Previous Next >
Re: [opensuse-factory] openSSL 1.1 is now the default SSL implementation
On Mon, Nov 27, Dominique Leuenberger / DimStar wrote:

* failed: the package does not build against openSSL 1.1. Preferably
the package is ported to openSSL 1.1. For now we still have openssl-
1_0_0-devel available as well in the repo, so it is possible, for now,
to revert those packages back. Keep in mind that you can only have one
SSL -devel branch in your buildroot. So if your deps are pulling in
SSL1.1, you might end up on the next common error

Is there actually a concept of "any openssl"? One would think that
something like 'pkgconfig(whatever_openssl)' is available.
But that is not provided anymore:

libopenssl-1_1_0-devel-1.1.0g-2.1.x86_64.rpm:
libopenssl-1_1_0-devel = 1.1.0g-2.1
libopenssl-1_1_0-devel(x86-64) = 1.1.0g-2.1
ssl-devel

libopenssl-devel-1.0.2m-1.1.noarch.rpm:
libopenssl-devel = 1.0.2m-1.1
openssl-devel = 1.0.2m
pkgconfig(libcrypto) = 1.0.2m
pkgconfig(libopenssl) = 1.0.2m
pkgconfig(libssl) = 1.0.2m
pkgconfig(openssl) = 1.0.2m

Olaf
< Previous Next >